> ## Documentation Index
> Fetch the complete documentation index at: https://docs.limitguard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent Revenue

> Get revenue attributed to a specific downstream AI agent.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/treasury/revenue/{agent_id}
openapi: 3.1.0
info:
  title: LimitGuard.ai
  description: Trust Intelligence API - Entity verification and risk scoring
  version: 0.1.0
servers:
  - url: https://api.limitguard.ai
security: []
paths:
  /v1/treasury/revenue/{agent_id}:
    get:
      summary: Agent Revenue
      description: Get revenue attributed to a specific downstream AI agent.
      operationId: agent_revenue_v1_treasury_revenue__agent_id__get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            title: Agent Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentRevenue'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AgentRevenue:
      properties:
        agent_id:
          type: string
          title: Agent Id
          description: ERC-8004 agent identifier
        total_revenue_usdc:
          type: number
          minimum: 0
          title: Total Revenue Usdc
          description: Total revenue in USDC
        call_count:
          type: integer
          minimum: 0
          title: Call Count
          description: Number of paid API calls
        last_call_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Call At
          description: Last call timestamp
      type: object
      required:
        - agent_id
        - total_revenue_usdc
        - call_count
      title: AgentRevenue
      description: Revenue attributed to a downstream AI agent.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````